# TdApi.InputMessageContent (tdlight API 4.0.311 API)
declaration: module: tdlight.api, package: it.tdlight.jni, class: TdApi, class: InputMessageContent

Module tdlight.api
Package it.tdlight.jni

# Class TdApi.InputMessageContent

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.InputMessageContent

Direct Known Subclasses:
  `TdApi.InputMessageAnimation`, `TdApi.InputMessageAudio`, `TdApi.InputMessageContact`, `TdApi.InputMessageDice`, `TdApi.InputMessageDocument`, `TdApi.InputMessageForwarded`, `TdApi.InputMessageGame`, `TdApi.InputMessageInvoice`, `TdApi.InputMessageLocation`, `TdApi.InputMessagePhoto`, `TdApi.InputMessagePoll`, `TdApi.InputMessageSticker`, `TdApi.InputMessageText`, `TdApi.InputMessageVenue`, `TdApi.InputMessageVideo`, `TdApi.InputMessageVideoNote`, `TdApi.InputMessageVoiceNote`

Enclosing class:
  TdApi

public abstract static sealed class TdApi.InputMessageContent extends TdApi.Object permits TdApi.InputMessageText, TdApi.InputMessageAnimation, TdApi.InputMessageAudio, TdApi.InputMessageDocument, TdApi.InputMessagePhoto, TdApi.InputMessageSticker, TdApi.InputMessageVideo, TdApi.InputMessageVideoNote, TdApi.InputMessageVoiceNote, TdApi.InputMessageLocation, TdApi.InputMessageVenue, TdApi.InputMessageContact, TdApi.InputMessageDice, TdApi.InputMessageGame, TdApi.InputMessageInvoice, TdApi.InputMessagePoll, TdApi.InputMessageForwarded
This class is an abstract base class.

## Constructor Summary

Constructors
Constructor
Description
`InputMessageContent()`

## Method Summary

### Methods inherited from class it.tdlight.jni.TdApi.Object

`getConstructor, serialize, serialize, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### InputMessageContent

public InputMessageContent()